
<!doctype html>
<html lang="en" class="no-js">
  <head>
    
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width,initial-scale=1">
      
        <meta name="description" content="Official page of Anton Latukha">
      
      
      
        <link rel="canonical" href="https://blog.latukha.com/bio/">
      
      
        <meta name="author" content="Anton Latukha">
      
      <link rel="shortcut icon" href="../assets/images/favicon-min.png">
      <meta name="generator" content="mkdocs-1.1.2, mkdocs-material-6.1.7">
    
    
      
        <title>Biography - Latukha: Good day my friend!</title>
      
    
    
      <link rel="stylesheet" href="../assets/stylesheets/main.19753c6b.min.css">
      
        
        <link rel="stylesheet" href="../assets/stylesheets/palette.196e0c26.min.css">
        
          
          
          <meta name="theme-color" content="#7e56c2">
        
      
    
    
    
      
        
        <link href="https://fonts.gstatic.com" rel="preconnect" crossorigin>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Ubuntu:300,400,400i,700%7CHack&display=fallback">
        <style>body,input{font-family:"Ubuntu",-apple-system,BlinkMacSystemFont,Helvetica,Arial,sans-serif}code,kbd,pre{font-family:"Hack",SFMono-Regular,Consolas,Menlo,monospace}</style>
      
    
    
    
    
      
    
    
  </head>
  
  
    
    
    
    
    
    <body dir="ltr" data-md-color-scheme="" data-md-color-primary="deep-purple" data-md-color-accent="deep-purple">
      
  
    <input class="md-toggle" data-md-toggle="drawer" type="checkbox" id="__drawer" autocomplete="off">
    <input class="md-toggle" data-md-toggle="search" type="checkbox" id="__search" autocomplete="off">
    <label class="md-overlay" for="__drawer"></label>
    <div data-md-component="skip">
      
        
        <a href="#biography" class="md-skip">
          Skip to content
        </a>
      
    </div>
    <div data-md-component="announce">
      
    </div>
    
      

<header class="md-header" data-md-component="header">
  <nav class="md-header-nav md-grid" aria-label="Header">
    <a href="https://blog.latukha.com" title="Latukha: Good day my friend!" class="md-header-nav__button md-logo" aria-label="Latukha: Good day my friend!">
      
  <img src="../assets/images/favicon-min.png" alt="logo">

    </a>
    <label class="md-header-nav__button md-icon" for="__drawer">
      <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M3 6h18v2H3V6m0 5h18v2H3v-2m0 5h18v2H3v-2z"/></svg>
    </label>
    <div class="md-header-nav__title" data-md-component="header-title">
      
        <div class="md-header-nav__ellipsis">
          <span class="md-header-nav__topic md-ellipsis">
            Latukha: Good day my friend!
          </span>
          <span class="md-header-nav__topic md-ellipsis">
            
              Biography
            
          </span>
        </div>
      
    </div>
    
      <label class="md-header-nav__button md-icon" for="__search">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M9.5 3A6.5 6.5 0 0116 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 019.5 16 6.5 6.5 0 013 9.5 6.5 6.5 0 019.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5z"/></svg>
      </label>
      
<div class="md-search" data-md-component="search" role="dialog">
  <label class="md-search__overlay" for="__search"></label>
  <div class="md-search__inner" role="search">
    <form class="md-search__form" name="search">
      <input type="text" class="md-search__input" name="query" aria-label="Search" placeholder="Search" autocapitalize="off" autocorrect="off" autocomplete="off" spellcheck="false" data-md-component="search-query" data-md-state="active" required>
      <label class="md-search__icon md-icon" for="__search">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M9.5 3A6.5 6.5 0 0116 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 019.5 16 6.5 6.5 0 013 9.5 6.5 6.5 0 019.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5z"/></svg>
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12z"/></svg>
      </label>
      <button type="reset" class="md-search__icon md-icon" aria-label="Clear" data-md-component="search-reset" tabindex="-1">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41z"/></svg>
      </button>
    </form>
    <div class="md-search__output">
      <div class="md-search__scrollwrap" data-md-scrollfix>
        <div class="md-search-result" data-md-component="search-result">
          <div class="md-search-result__meta">
            Initializing search
          </div>
          <ol class="md-search-result__list"></ol>
        </div>
      </div>
    </div>
  </div>
</div>
    
    
      <div class="md-header-nav__source">
        
<a href="https://github.com/Anton-Latukha/" title="Go to repository" class="md-source">
  <div class="md-source__icon md-icon">
    
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path d="M439.55 236.05L244 40.45a28.87 28.87 0 00-40.81 0l-40.66 40.63 51.52 51.52c27.06-9.14 52.68 16.77 43.39 43.68l49.66 49.66c34.23-11.8 61.18 31 35.47 56.69-26.49 26.49-70.21-2.87-56-37.34L240.22 199v121.85c25.3 12.54 22.26 41.85 9.08 55a34.34 34.34 0 01-48.55 0c-17.57-17.6-11.07-46.91 11.25-56v-123c-20.8-8.51-24.6-30.74-18.64-45L142.57 101 8.45 235.14a28.86 28.86 0 000 40.81l195.61 195.6a28.86 28.86 0 0040.8 0l194.69-194.69a28.86 28.86 0 000-40.81z"/></svg>
  </div>
  <div class="md-source__repository">
    Profile
  </div>
</a>
      </div>
    
  </nav>
</header>
    
    <div class="md-container" data-md-component="container">
      
      
        
      
      <main class="md-main" data-md-component="main">
        <div class="md-main__inner md-grid">
          
            
              <div class="md-sidebar md-sidebar--primary" data-md-component="navigation">
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    

<nav class="md-nav md-nav--primary" aria-label="Navigation" data-md-level="0">
  <label class="md-nav__title" for="__drawer">
    <a href="https://blog.latukha.com" title="Latukha: Good day my friend!" class="md-nav__button md-logo" aria-label="Latukha: Good day my friend!">
      
  <img src="../assets/images/favicon-min.png" alt="logo">

    </a>
    Latukha: Good day my friend!
  </label>
  
    <div class="md-nav__source">
      
<a href="https://github.com/Anton-Latukha/" title="Go to repository" class="md-source">
  <div class="md-source__icon md-icon">
    
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path d="M439.55 236.05L244 40.45a28.87 28.87 0 00-40.81 0l-40.66 40.63 51.52 51.52c27.06-9.14 52.68 16.77 43.39 43.68l49.66 49.66c34.23-11.8 61.18 31 35.47 56.69-26.49 26.49-70.21-2.87-56-37.34L240.22 199v121.85c25.3 12.54 22.26 41.85 9.08 55a34.34 34.34 0 01-48.55 0c-17.57-17.6-11.07-46.91 11.25-56v-123c-20.8-8.51-24.6-30.74-18.64-45L142.57 101 8.45 235.14a28.86 28.86 0 000 40.81l195.61 195.6a28.86 28.86 0 0040.8 0l194.69-194.69a28.86 28.86 0 000-40.81z"/></svg>
  </div>
  <div class="md-source__repository">
    Profile
  </div>
</a>
    </div>
  
  <ul class="md-nav__list" data-md-scrollfix>
    
      
      
      


  <li class="md-nav__item">
    <a href=".." class="md-nav__link">
      Home
    </a>
  </li>

    
      
      
      

  


  <li class="md-nav__item md-nav__item--active">
    
    <input class="md-nav__toggle md-toggle" data-md-toggle="toc" type="checkbox" id="__toc">
    
      
    
    
      <label class="md-nav__link md-nav__link--active" for="__toc">
        Biography
        <span class="md-nav__icon md-icon"></span>
      </label>
    
    <a href="./" class="md-nav__link md-nav__link--active">
      Biography
    </a>
    
      
<nav class="md-nav md-nav--secondary" aria-label="Table of contents">
  
  
    
  
  
    <label class="md-nav__title" for="__toc">
      <span class="md-nav__icon md-icon"></span>
      Table of contents
    </label>
    <ul class="md-nav__list" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#skills" class="md-nav__link">
    Skills
  </a>
  
    <nav class="md-nav" aria-label="Skills">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#main-skills" class="md-nav__link">
    Main skills
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#os-linux" class="md-nav__link">
    OS Linux
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#have-some-experience-in-more-exotic-os" class="md-nav__link">
    Have some experience in more exotic OS
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#os-windows" class="md-nav__link">
    OS Windows
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#non-exhaustive-list-of-technologies-i-have-experience-in" class="md-nav__link">
    Non-exhaustive list of technologies I have experience in
  </a>
  
    <nav class="md-nav" aria-label="Non-exhaustive list of technologies I have experience in">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#init-subsystems" class="md-nav__link">
    Init subsystems
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#configurationcode-management" class="md-nav__link">
    Configuration/Code Management
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#virtualization-containerization" class="md-nav__link">
    Virtualization &amp; containerization
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#databases" class="md-nav__link">
    Databases
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#monitoring" class="md-nav__link">
    Monitoring
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#backup-solutions" class="md-nav__link">
    Backup solutions
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#filesystem" class="md-nav__link">
    Filesystem
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#programming-scripting-languages-experience" class="md-nav__link">
    Programming &amp; scripting languages experience
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#voip" class="md-nav__link">
    VoIP
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#cicd" class="md-nav__link">
    CI/CD
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#network-os" class="md-nav__link">
    Network OS
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
        <li class="md-nav__item">
  <a href="#knowledge-of-telecommunications" class="md-nav__link">
    Knowledge of telecommunications
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#contributions" class="md-nav__link">
    Contributions
  </a>
  
</li>
      
    </ul>
  
</nav>
    
  </li>

    
      
      
      


  <li class="md-nav__item">
    <a href="../about/" class="md-nav__link">
      About
    </a>
  </li>

    
      
      
      


  <li class="md-nav__item">
    <a href="../haskell-notes.html" class="md-nav__link">
      Book "Fundamental Haskell"
    </a>
  </li>

    
      
      
      


  <li class="md-nav__item md-nav__item--nested">
    
    <input class="md-nav__toggle md-toggle" data-md-toggle="nav-5" type="checkbox" id="nav-5" >
    <label class="md-nav__link" for="nav-5">
      Articles
      <span class="md-nav__icon md-icon"></span>
    </label>
    <nav class="md-nav" aria-label="Articles" data-md-level="1">
      <label class="md-nav__title" for="nav-5">
        <span class="md-nav__icon md-icon"></span>
        Articles
      </label>
      <ul class="md-nav__list" data-md-scrollfix>
        
        
          
          
          


  <li class="md-nav__item">
    <a href="../2020-12-08-Haskell-Nixpkgs-integration-test/" class="md-nav__link">
      Haskell Nixpkgs integration test
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../2020-08-08-Use-Linux-file-manager-for-Wine-applications/" class="md-nav__link">
      Use Linux file manager for Wine applications
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../2019-08-02-NixOS-HIE-Emacs/" class="md-nav__link">
      Integrating NixOS/Nix, Haskell IDE Engine, Emacs
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../2017-05-04-Restore-of-deleted-LVM-%28Advanced%29/" class="md-nav__link">
      Restore of deleted LVM (Advanced)
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../2017-04-14-How-to-setup-proxy-to-listen-Spotify/" class="md-nav__link">
      How to setup proxy to listen Spotify
    </a>
  </li>

        
          
          
          


  <li class="md-nav__item">
    <a href="../2017-04-12-SaltStack-Formulas-install/" class="md-nav__link">
      SaltStack formulas
    </a>
  </li>

        
      </ul>
    </nav>
  </li>

    
  </ul>
</nav>
                  </div>
                </div>
              </div>
            
            
              <div class="md-sidebar md-sidebar--secondary" data-md-component="toc">
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    
<nav class="md-nav md-nav--secondary" aria-label="Table of contents">
  
  
    
  
  
    <label class="md-nav__title" for="__toc">
      <span class="md-nav__icon md-icon"></span>
      Table of contents
    </label>
    <ul class="md-nav__list" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#skills" class="md-nav__link">
    Skills
  </a>
  
    <nav class="md-nav" aria-label="Skills">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#main-skills" class="md-nav__link">
    Main skills
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#os-linux" class="md-nav__link">
    OS Linux
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#have-some-experience-in-more-exotic-os" class="md-nav__link">
    Have some experience in more exotic OS
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#os-windows" class="md-nav__link">
    OS Windows
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#non-exhaustive-list-of-technologies-i-have-experience-in" class="md-nav__link">
    Non-exhaustive list of technologies I have experience in
  </a>
  
    <nav class="md-nav" aria-label="Non-exhaustive list of technologies I have experience in">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#init-subsystems" class="md-nav__link">
    Init subsystems
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#configurationcode-management" class="md-nav__link">
    Configuration/Code Management
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#virtualization-containerization" class="md-nav__link">
    Virtualization &amp; containerization
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#databases" class="md-nav__link">
    Databases
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#monitoring" class="md-nav__link">
    Monitoring
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#backup-solutions" class="md-nav__link">
    Backup solutions
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#filesystem" class="md-nav__link">
    Filesystem
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#programming-scripting-languages-experience" class="md-nav__link">
    Programming &amp; scripting languages experience
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#voip" class="md-nav__link">
    VoIP
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#cicd" class="md-nav__link">
    CI/CD
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#network-os" class="md-nav__link">
    Network OS
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
        <li class="md-nav__item">
  <a href="#knowledge-of-telecommunications" class="md-nav__link">
    Knowledge of telecommunications
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#contributions" class="md-nav__link">
    Contributions
  </a>
  
</li>
      
    </ul>
  
</nav>
                  </div>
                </div>
              </div>
            
          
          <div class="md-content">
            <article class="md-content__inner md-typeset">
              
                
                  <a href="https://github.com/mkdocs-blog/tree/master/docs/bio.md" title="Edit this page" class="md-content__button md-icon">
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20.71 7.04c.39-.39.39-1.04 0-1.41l-2.34-2.34c-.37-.39-1.02-.39-1.41 0l-1.84 1.83 3.75 3.75M3 17.25V21h3.75L17.81 9.93l-3.75-3.75L3 17.25z"/></svg>
                  </a>
                
                
                <p><a href="https://github.com/Anton-Latukha" class="md-footer-social__link fa fa-github"></a><a href="https://github.com/Anton-Latukha">GitHub</a> |
<a href="https://github.com/PiroXiline" class="md-footer-social__link fa fa-github"></a><a href="https://github.com/PiroXiline">Old GitHub</a> |
<a href="https://twitter.com/piroxiline" class="md-footer-social__link fa fa-twitter"></a><a href="https://twitter.com/piroxiline">Twitter</a> |
<a href="https://linkedin.com/in/anton-latukha-2a286690" class="md-footer-social__link fa fa-linkedin"></a><a href="https://linkedin.com/in/anton-latukha-2a286690">LinkedIn</a> |
<a href="https://github.com/Anton-Latukha/Anton-Latukha.github.io/raw/master/assets/docs/AntonLatukhaCV.pdf " class="md-footer-social__link fa fa-download"></a><a href="https://github.com/Anton-Latukha/Anton-Latukha.github.io/raw/master/assets/docs/AntonLatukhaCV.pdf ">CV</a></p>
<h1 id="biography">Biography<a class="headerlink" href="#biography" title="Permanent link">&para;</a></h1>
<p>I am a man pretty versatile in IT sphere. My main goal is to bring good products in Haskell. It synergizes with my current skills. I would appreciate errands and being responsible for backend logic, especially regarding DevOps services. I love solving efficiently – creating a valuable product of powers (opportunities) given by the world (provided by IT, Open Source, Cloud) and my glue. Mostly, if business has a request – someone already solved or partially solved it in the world and solution is mostly available or described on the global network. The only unique business code is a glue code or unique code for the core products.</p>
<p>To shape myself I always take the most rigorous way, to be of the best quality. To be able to fully go into work, focused, move fast, make better quality, productive in the mode of solving into the result.</p>
<p>Currently I prepared the most solid ground of skills and knowledge you would meet in someone that knows the basics of Haskell. I am serious about full understanding of the base and Category theory and aligned to Haskell mathematics and terminology – since they multiply the power the more you learned to think in the right way. Theory comes-out into real world of practice after deep understanding of the base of Category theory is finished (when category, functor and natural transformation understood) and structures bring the fruits.</p>
<p>Over life it seems to go so I would be an architect, at least I want to move in Haskell in that direction. The person, who understands the field of technology and on the right page with different people, entrepreneurs and businessmen, managers, programmers, admins, DB-admins, web-developers, hardware engineers.</p>
<p>During freelance I got experience working with businessmen. I discuss with them the view, priorities, and give 2-3 variants to get valuable input, get the real target better. Then with that understanding I make solution that even better suits their vision. Most times my implementations take less time, and have less cost.</p>
<p>I work and give back as good as I only can. I love simple, robust, maintainable solutions suited for the future and grows of the business. In IT using right approach in several dimensions (technical, management, psychological, social) it is possible to create very valuable solutions.</p>
<p>I have great telecommunication education, graduate and postgraduate, having a lot of math and physics. On the side, had Cisco CCNA, even taught it also for paid.</p>
<h2 id="skills">Skills<a class="headerlink" href="#skills" title="Permanent link">&para;</a></h2>
<h3 id="main-skills">Main skills<a class="headerlink" href="#main-skills" title="Permanent link">&para;</a></h3>
<ul>
<li>
<p>Solid foundations of Haskell: https://github.com/Anton-Latukha/Haskell-Programming-From-First-Principles, https://github.com/Anton-Latukha/haskell-notes. Solid Category theory foundations, &amp; related to Haskell, Lambda calculus &amp; Computer science mathematical theories.</p>
</li>
<li>
<p>DevOps skills: knowledge/experience of many Opens Source projects, containerization (&amp; creating custom container images and custom IT systems from them), clustering (Kubernetes clusters), CI (Jenkins, Travis, Hydra CI, GitLab CI), AWS and GCE services and the minimization of their costs, Terraform &amp; Ansible.</p>
</li>
<li>
<p>Nix language &amp; Nix tooling &amp; NixPkgs &amp; NixOps &amp; Hydra. Had a small team in command. Deployed Hydra CI, managed NixOS servers thru NixOps, written custom Nix language code. Contributed to upstream NixPkgs. I maintain a couple of packages in NixPkgs. Written the new Nix installer (dod a NixCon talk, to restate and merge it https://youtu.be/hhgrCV_r7YE?t=6364), core Nix team still not merged it (https://github.com/NixOS/nix/pull/1565). Went on and gradually participating in HNix.</p>
</li>
<li>
<p>Creative at work, knowledge of many technologies, hints, ability to write in many programming languages and combine them with any services. Strict dictionary of terms and semantics, ability to reason abstractly &amp; flexibly. Knowledgeable in many mathematical areas.</p>
</li>
<li>
<p>Deep understanding of topics which I work in. Good ability to talk and understand with managers &amp; specialists. Having a strong character, rigorous at duties (moral character), can lead and manage people.</p>
</li>
</ul>
<h3 id="os-linux">OS Linux<a class="headerlink" href="#os-linux" title="Permanent link">&para;</a></h3>
<ul>
<li>
<p>NixOS</p>
</li>
<li>
<p>Debian</p>
</li>
<li>
<p>Ubuntu (from 7.04 to today)</p>
</li>
<li>
<p>CentOS</p>
</li>
<li>
<p>Fedora (My first Linux was Red Hat Linux 8)</p>
</li>
<li>
<p>Arch Linux</p>
</li>
<li>
<p>Alpine Linux</p>
</li>
<li>
<p>deep knowledge of POSIX standard</p>
</li>
<li>
<p>can efficiently create&amp;work efficiently in any Linux environment.</p>
</li>
</ul>
<h3 id="have-some-experience-in-more-exotic-os">Have some experience in more exotic OS<a class="headerlink" href="#have-some-experience-in-more-exotic-os" title="Permanent link">&para;</a></h3>
<ul>
<li>
<p>IBM AIX systems. 6.1 and 7.1. I got IBM internship, but sadly couldn't be accepted by IBM because University document reasons (finished my degree). IBM staff, like a great company do, in apology gave me 3 basic courses of IBM AIX systems.</p>
</li>
<li>
<p>FreeBSD</p>
</li>
<li>
<p>Red Hat</p>
</li>
</ul>
<h3 id="os-windows">OS Windows<a class="headerlink" href="#os-windows" title="Permanent link">&para;</a></h3>
<ul>
<li>
<p>Starting from MS DOS 3.0, MS DOS 5.0, Windows 1.0, 3.11, 95, 95 OSR2, 98, 98 SP1, SP2, Windows NT, Windows 2000, Windows 2003 Server, Windows 2008 Server, Windows 2012 Server. In childhood I had only old PCs, and was or PC circle.</p>
</li>
<li>
<p>I was main administrator of system integration company SI BIS, infrastructure was on Microsoft products, this is where my point of Windows 2008 Server, Windows 2012 Server from.</p>
</li>
</ul>
<h3 id="non-exhaustive-list-of-technologies-i-have-experience-in">Non-exhaustive list of technologies I have experience in<a class="headerlink" href="#non-exhaustive-list-of-technologies-i-have-experience-in" title="Permanent link">&para;</a></h3>
<h4 id="init-subsystems">Init subsystems<a class="headerlink" href="#init-subsystems" title="Permanent link">&para;</a></h4>
<ul>
<li>
<p>Systemd</p>
</li>
<li>
<p>SysV</p>
</li>
<li>
<p>Upstart</p>
</li>
</ul>
<h4 id="configurationcode-management">Configuration/Code Management<a class="headerlink" href="#configurationcode-management" title="Permanent link">&para;</a></h4>
<ul>
<li>
<p>Git</p>
</li>
<li>
<p>Terraform</p>
</li>
<li>
<p>Ansible</p>
</li>
<li>
<p>Nix language &amp; NixOps</p>
</li>
<li>
<p>SaltStack</p>
</li>
<li>
<p>Puppet</p>
</li>
</ul>
<h4 id="virtualization-containerization">Virtualization &amp; containerization<a class="headerlink" href="#virtualization-containerization" title="Permanent link">&para;</a></h4>
<ul>
<li>
<p>Virtualization and containerization theory &amp; practice</p>
</li>
<li>
<p>Kubernetes</p>
</li>
<li>
<p>Docker (Compose, Machine. Swarm, private repositories)</p>
</li>
<li>
<p>Cloud platforms: AWS EC2, ECS; GC GCE, GKE</p>
</li>
<li>
<p>KVM</p>
</li>
<li>
<p>VMWare solutions line with ESXi (5.0-5.2)</p>
</li>
<li>
<p>OpenVZ</p>
</li>
<li>
<p>HyperV</p>
</li>
<li>
<p>LXC</p>
</li>
</ul>
<h4 id="databases">Databases<a class="headerlink" href="#databases" title="Permanent link">&para;</a></h4>
<ul>
<li>
<p>Database theory. Structure, keys, normalization, queries, transactions, users, rights, boolean algebra.</p>
</li>
<li>
<p>SQL language</p>
</li>
<li>
<p>MySQL</p>
</li>
<li>
<p>MariaDB</p>
</li>
<li>
<p>PostgresSQL</p>
</li>
<li>
<p>InfluxDB (special DB for time-series data)</p>
</li>
<li>
<p>MongoDB</p>
</li>
<li>
<p>Cassandra</p>
</li>
<li>
<p>Microsoft SQL</p>
</li>
<li>
<p>Microsoft Access</p>
</li>
<li>
<p>Briefly touched NoSQL, MLP databases. Couchbase and MongoDB.</p>
</li>
</ul>
<h4 id="monitoring">Monitoring<a class="headerlink" href="#monitoring" title="Permanent link">&para;</a></h4>
<ul>
<li>
<p>Zabbix (and it's theory of items, triggers, etc., low level scanning)</p>
</li>
<li>
<p>Grafana</p>
</li>
<li>
<p>InfluxDB</p>
</li>
<li>
<p>netdata sources</p>
</li>
<li>
<p>Graphite</p>
</li>
<li>
<p>SNMP for Linux systems &amp; networking equipment</p>
</li>
<li>
<p>Windows SNMP provider</p>
</li>
<li>
<p>Windows WMI</p>
</li>
<li>
<p>Windows Perf</p>
</li>
<li>
<p>Microsoft PowerShell</p>
</li>
<li>
<p>Windows sysinfo</p>
</li>
<li>
<p>Windows logging and troubleshoot experience</p>
</li>
<li>
<p>Linux Filesystem Hierarchy</p>
</li>
<li>
<p>Linux logging (Syslog, journald and its feeatures)</p>
</li>
<li>
<p>Linux Finger</p>
</li>
<li>
<p>S.M.A.R.T. (SmartMonTools)</p>
</li>
<li>
<p>Hardware sensors information (lm_sensors and such)</p>
</li>
<li>
<p>Zabbix active agents</p>
</li>
</ul>
<h4 id="backup-solutions">Backup solutions<a class="headerlink" href="#backup-solutions" title="Permanent link">&para;</a></h4>
<ul>
<li>
<p>Bacula</p>
</li>
<li>
<p>BareOS</p>
</li>
<li>
<p>Rsync</p>
</li>
<li>
<p>Backup to Cloud storage via WebDAV or CLI</p>
</li>
<li>
<p>Cloud snapshotting, backups, Glasier</p>
</li>
<li>
<p>Filesystem snapshotting,</p>
</li>
<li>
<p>RAID replication</p>
</li>
</ul>
<h4 id="filesystem">Filesystem<a class="headerlink" href="#filesystem" title="Permanent link">&para;</a></h4>
<ul>
<li>
<p>ZFS</p>
</li>
<li>
<p>Btrfs</p>
</li>
</ul>
<h4 id="programming-scripting-languages-experience">Programming &amp; scripting languages experience<a class="headerlink" href="#programming-scripting-languages-experience" title="Permanent link">&para;</a></h4>
<ul>
<li>
<p>Haskell (in depth)</p>
</li>
<li>
<p>Bash, Bourne Shell, Dash, Fish, ZSH, Bat files (also in POSIX standard, ShellFire framework)</p>
</li>
<li>
<p>Python (basics)</p>
</li>
<li>
<p>Go</p>
</li>
<li>
<p>Node.JS (+ Jade, Express.JS)</p>
</li>
<li>
<p>JavaScript (+ jQuerry, CSS, HTML5)</p>
</li>
<li>
<p>C</p>
</li>
<li>
<p>C++ (basics)</p>
</li>
<li>
<p>QT, QML, QTQuick</p>
</li>
<li>
<p>Assembler (TASM)</p>
</li>
<li>
<p>BASIC (ZX Spectrum, my first PC)</p>
</li>
<li>
<p>Visual Basic</p>
</li>
<li>
<p>Pascal</p>
</li>
<li>
<p>Lisp</p>
</li>
<li>
<p>C#, .Net</p>
</li>
</ul>
<h4 id="voip">VoIP<a class="headerlink" href="#voip" title="Permanent link">&para;</a></h4>
<ul>
<li>
<p>Asterisk</p>
</li>
<li>
<p>Network education help me a lot here also</p>
</li>
</ul>
<h4 id="cicd">CI/CD<a class="headerlink" href="#cicd" title="Permanent link">&para;</a></h4>
<ul>
<li>
<p>Solid foundations &amp; writing of Haskell property testing. Knowledge of Category theory and related math fields help in property testing.</p>
</li>
<li>
<p>Jenkins - have basic experience with deploying and using Jenkins building pipelines and applying unit tests.</p>
</li>
<li>
<p>Travis - even written an article about Travis that later was readopted in Summoner project.</p>
</li>
<li>
<p>Hydra – as already was said deployed and maintained Hydra CI setup in a project.</p>
</li>
</ul>
<h4 id="network-os">Network OS<a class="headerlink" href="#network-os" title="Permanent link">&para;</a></h4>
<ul>
<li>
<p>Cisco IOS 12.4T, and 15M</p>
</li>
<li>
<p>Cisco Catalyst</p>
</li>
<li>
<p>MikroTik RouterBOARD</p>
</li>
<li>
<p>Had brief experience with Huawei VRP to understand how much it is rewritten IOS (but all names are changed). Some technologies also.</p>
</li>
</ul>
<h2 id="knowledge-of-telecommunications">Knowledge of telecommunications<a class="headerlink" href="#knowledge-of-telecommunications" title="Permanent link">&para;</a></h2>
<ul>
<li>
<p>Have a higher degree at Telecommunications. Master and underway Postgraduate degree. Bachelor degree was more software centered (STP modification for PON networks). Master degree more hardware centered (WDM in PON networks). From my interest to hard subject solidly I know software, hardware, and underlying Telecommunication theory, Calculus, Probability theory, Classical electrodynamics that was strong points at my University.</p>
</li>
<li>
<p>I get official CCNA education. And love Cisco tech and console.</p>
</li>
</ul>
<p>With a team created networking lab at university. With complex infrastructure.</p>
<p>Sometime after that, my scientific director got a contract to conduct courses. I wrote part of the materials, and was main practical knowledge lecturer and held practices for business courses. Courses was created specifically for the Ukrainian national broadcasting company and consisted of questions they wanted. From basics of networking, ISO levels 1-3, IP/TCP stack, Cisco and MikroTik basics, basics of switching, VLANs, basic routing &amp; protocols, to basics of encryption, and VPN tunneling, client and site-to-site. This all I explained them in detail. And there were 6 waves of courses.</p>
<p>That is why I have knowledge of networks on something more than Cisco CCNA level because of my Networking education &amp; CCNA courses &amp; some job and science experience of additional and essential topics like multi-area OSPF, MPLS, optical networks.</p>
<h2 id="contributions">Contributions<a class="headerlink" href="#contributions" title="Permanent link">&para;</a></h2>
<ul>
<li>
<p>Big part of my contributions can be seen at GitHub: https://github.com/pulls?q=is%3Apr+author%3AAnton-Latukha</p>
</li>
<li>
<p>NixPkgs: https://github.com/NixOS/nixpkgs/pulls?utf8=%E2%9C%93&amp;q=is%3Apr+author%3AAnton-Latukha+</p>
</li>
<li>
<p>HaskellWiki: https://wiki.haskell.org/Special:Contributions/Anton-Latukha</p>
</li>
<li>
<p>HNix: https://github.com/haskell-nix/hnix/pulls?utf8=%E2%9C%93&amp;q=is%3Apr+author%3AAnton-Latukha+</p>
</li>
<li>
<p>ArchWiki: - one of the best Linux information resources (<a href="https://wiki.archlinux.org/index.php/Special:Contributions/PiroXiline">old account</a> and <a href="https://wiki.archlinux.org/index.php/Special:Contributions/Anton-Latukha">current account</a>).</p>
</li>
<li>
<p>Spacemacs: https://github.com/syl20bnr/spacemacs/pulls?q=is%3Apr+is%3Aclosed+author%3AAnton-Latukha</p>
</li>
<li>
<p>OpenStreetMap: <a href="http://www.openstreetmap.org/user/Anton%20Latukha">profile</a>.</p>
</li>
<li>
<p>Also contributed to many other projects: KDE community, Mozilla Corporation, SaltStack, etc.</p>
</li>
</ul>
                
              
              
                


  <h2 id="__comments">Comments</h2>
  <div id="disqus_thread"></div>
  <script>var disqus_config=function(){this.page.url="https://blog.latukha.com/bio/",this.page.identifier="/bio/"};window.addEventListener("load",function(){var e=document,i=e.createElement("script");i.src="//blog-latukha-com.disqus.com/embed.js",i.setAttribute("data-timestamp",+new Date),(e.head||e.body).appendChild(i)})</script>

              
            </article>
          </div>
        </div>
      </main>
      
        
<footer class="md-footer">
  
    <div class="md-footer-nav">
      <nav class="md-footer-nav__inner md-grid" aria-label="Footer">
        
          <a href=".." class="md-footer-nav__link md-footer-nav__link--prev" rel="prev">
            <div class="md-footer-nav__button md-icon">
              <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12z"/></svg>
            </div>
            <div class="md-footer-nav__title">
              <div class="md-ellipsis">
                <span class="md-footer-nav__direction">
                  Previous
                </span>
                Home
              </div>
            </div>
          </a>
        
        
          <a href="../about/" class="md-footer-nav__link md-footer-nav__link--next" rel="next">
            <div class="md-footer-nav__title">
              <div class="md-ellipsis">
                <span class="md-footer-nav__direction">
                  Next
                </span>
                About
              </div>
            </div>
            <div class="md-footer-nav__button md-icon">
              <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M4 11v2h12l-5.5 5.5 1.42 1.42L19.84 12l-7.92-7.92L10.5 5.5 16 11H4z"/></svg>
            </div>
          </a>
        
      </nav>
    </div>
  
  <div class="md-footer-meta md-typeset">
    <div class="md-footer-meta__inner md-grid">
      <div class="md-footer-copyright">
        
          <div class="md-footer-copyright__highlight">
            2016-2020 Anton Latukha, Creative Commons ShareAlike
          </div>
        
        Made with
        <a href="https://squidfunk.github.io/mkdocs-material/" target="_blank" rel="noopener">
          Material for MkDocs
        </a>
      </div>
      
  <div class="md-footer-social">
    
      
      
        
        
      
      <a href="https://github.com/Anton-Latukha" target="_blank" rel="noopener" title="github.com" class="md-footer-social__link">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M8 0C3.58 0 0 3.58 0 8c0 3.54 2.29 6.53 5.47 7.59.4.07.55-.17.55-.38 0-.19-.01-.82-.01-1.49-2.01.37-2.53-.49-2.69-.94-.09-.23-.48-.94-.82-1.13-.28-.15-.68-.52-.01-.53.63-.01 1.08.58 1.23.82.72 1.21 1.87.87 2.33.66.07-.52.28-.87.51-1.07-1.78-.2-3.64-.89-3.64-3.95 0-.87.31-1.59.82-2.15-.08-.2-.36-1.02.08-2.12 0 0 .67-.21 2.2.82.64-.18 1.32-.27 2-.27.68 0 1.36.09 2 .27 1.53-1.04 2.2-.82 2.2-.82.44 1.1.16 1.92.08 2.12.51.56.82 1.27.82 2.15 0 3.07-1.87 3.75-3.65 3.95.29.25.54.73.54 1.48 0 1.07-.01 1.93-.01 2.2 0 .21.15.46.55.38A8.013 8.013 0 0016 8c0-4.42-3.58-8-8-8z"/></svg>
      </a>
    
      
      
        
        
      
      <a href="https://gitlab.com/Anton.Latukha" target="_blank" rel="noopener" title="gitlab.com" class="md-footer-social__link">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path d="M105.2 24.9c-3.1-8.9-15.7-8.9-18.9 0L29.8 199.7h132c-.1 0-56.6-174.8-56.6-174.8zM.9 287.7c-2.6 8 .3 16.9 7.1 22l247.9 184-226.2-294zm160.8-88l94.3 294 94.3-294zm349.4 88l-28.8-88-226.3 294 247.9-184c6.9-5.1 9.7-14 7.2-22zM425.7 24.9c-3.1-8.9-15.7-8.9-18.9 0l-56.6 174.8h132z"/></svg>
      </a>
    
      
      
        
        
      
      <a href="https://twitter.com/piroxiline" target="_blank" rel="noopener" title="twitter.com" class="md-footer-social__link">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path d="M459.37 151.716c.325 4.548.325 9.097.325 13.645 0 138.72-105.583 298.558-298.558 298.558-59.452 0-114.68-17.219-161.137-47.106 8.447.974 16.568 1.299 25.34 1.299 49.055 0 94.213-16.568 130.274-44.832-46.132-.975-84.792-31.188-98.112-72.772 6.498.974 12.995 1.624 19.818 1.624 9.421 0 18.843-1.3 27.614-3.573-48.081-9.747-84.143-51.98-84.143-102.985v-1.299c13.969 7.797 30.214 12.67 47.431 13.319-28.264-18.843-46.781-51.005-46.781-87.391 0-19.492 5.197-37.36 14.294-52.954 51.655 63.675 129.3 105.258 216.365 109.807-1.624-7.797-2.599-15.918-2.599-24.04 0-57.828 46.782-104.934 104.934-104.934 30.213 0 57.502 12.67 76.67 33.137 23.715-4.548 46.456-13.32 66.599-25.34-7.798 24.366-24.366 44.833-46.132 57.827 21.117-2.273 41.584-8.122 60.426-16.243-14.292 20.791-32.161 39.308-52.628 54.253z"/></svg>
      </a>
    
      
      
        
        
      
      <a href="https://linkedin.com/in/anton-latukha-2a286690" target="_blank" rel="noopener" title="linkedin.com" class="md-footer-social__link">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path d="M416 32H31.9C14.3 32 0 46.5 0 64.3v383.4C0 465.5 14.3 480 31.9 480H416c17.6 0 32-14.5 32-32.3V64.3c0-17.8-14.4-32.3-32-32.3zM135.4 416H69V202.2h66.5V416zm-33.2-243c-21.3 0-38.5-17.3-38.5-38.5S80.9 96 102.2 96c21.2 0 38.5 17.3 38.5 38.5 0 21.3-17.2 38.5-38.5 38.5zm282.1 243h-66.4V312c0-24.8-.5-56.7-34.5-56.7-34.6 0-39.9 27-39.9 54.9V416h-66.4V202.2h63.7v29.2h.9c8.9-16.8 30.6-34.5 62.9-34.5 67.2 0 79.7 44.3 79.7 101.9V416z"/></svg>
      </a>
    
      
      
        
        
      
      <a href="https://github.com/Anton-Latukha/Anton-Latukha.github.io/raw/master/assets/docs/AntonLatukhaCV.pdf" target="_blank" rel="noopener" title="github.com" class="md-footer-social__link">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path fill-rule="evenodd" d="M6.736 4C4.657 4 2.5 5.88 2.5 8.514c0 3.107 2.324 5.96 4.861 8.12a29.66 29.66 0 004.566 3.175l.073.041.073-.04c.271-.153.661-.38 1.13-.674.94-.588 2.19-1.441 3.436-2.502 2.537-2.16 4.861-5.013 4.861-8.12C21.5 5.88 19.343 4 17.264 4c-2.106 0-3.801 1.389-4.553 3.643a.75.75 0 01-1.422 0C10.537 5.389 8.841 4 6.736 4zM12 20.703l.343.667a.75.75 0 01-.686 0l.343-.667zM1 8.513C1 5.053 3.829 2.5 6.736 2.5 9.03 2.5 10.881 3.726 12 5.605 13.12 3.726 14.97 2.5 17.264 2.5 20.17 2.5 23 5.052 23 8.514c0 3.818-2.801 7.06-5.389 9.262a31.146 31.146 0 01-5.233 3.576l-.025.013-.007.003-.002.001-.344-.666-.343.667-.003-.002-.007-.003-.025-.013A29.308 29.308 0 0110 20.408a31.147 31.147 0 01-3.611-2.632C3.8 15.573 1 12.332 1 8.514z"/></svg>
      </a>
    
      
      
        
        
      
      <a href="https://github.com/Anton-Latukha/Anton-Latukha.github.io/raw/master/assets/docs/AntonLatukhaCV.pdf" target="_blank" rel="noopener" title="github.com" class="md-footer-social__link">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M4.97 11.03a.75.75 0 111.06-1.06L11 14.94V2.75a.75.75 0 011.5 0v12.19l4.97-4.97a.75.75 0 111.06 1.06l-6.25 6.25a.75.75 0 01-1.06 0l-6.25-6.25zm-.22 9.47a.75.75 0 000 1.5h14.5a.75.75 0 000-1.5H4.75z"/></svg>
      </a>
    
      
      
        
        
      
      <a href="https://wiki.archlinux.org/index.php/Special:Contributions/Anton_Latukha" target="_blank" rel="noopener" title="wiki.archlinux.org" class="md-footer-social__link">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path d="M220.8 123.3c1 .5 1.8 1.7 3 1.7 1.1 0 2.8-.4 2.9-1.5.2-1.4-1.9-2.3-3.2-2.9-1.7-.7-3.9-1-5.5-.1-.4.2-.8.7-.6 1.1.3 1.3 2.3 1.1 3.4 1.7zm-21.9 1.7c1.2 0 2-1.2 3-1.7 1.1-.6 3.1-.4 3.5-1.6.2-.4-.2-.9-.6-1.1-1.6-.9-3.8-.6-5.5.1-1.3.6-3.4 1.5-3.2 2.9.1 1 1.8 1.5 2.8 1.4zM420 403.8c-3.6-4-5.3-11.6-7.2-19.7-1.8-8.1-3.9-16.8-10.5-22.4-1.3-1.1-2.6-2.1-4-2.9-1.3-.8-2.7-1.5-4.1-2 9.2-27.3 5.6-54.5-3.7-79.1-11.4-30.1-31.3-56.4-46.5-74.4-17.1-21.5-33.7-41.9-33.4-72C311.1 85.4 315.7.1 234.8 0 132.4-.2 158 103.4 156.9 135.2c-1.7 23.4-6.4 41.8-22.5 64.7-18.9 22.5-45.5 58.8-58.1 96.7-6 17.9-8.8 36.1-6.2 53.3-6.5 5.8-11.4 14.7-16.6 20.2-4.2 4.3-10.3 5.9-17 8.3s-14 6-18.5 14.5c-2.1 3.9-2.8 8.1-2.8 12.4 0 3.9.6 7.9 1.2 11.8 1.2 8.1 2.5 15.7.8 20.8-5.2 14.4-5.9 24.4-2.2 31.7 3.8 7.3 11.4 10.5 20.1 12.3 17.3 3.6 40.8 2.7 59.3 12.5 19.8 10.4 39.9 14.1 55.9 10.4 11.6-2.6 21.1-9.6 25.9-20.2 12.5-.1 26.3-5.4 48.3-6.6 14.9-1.2 33.6 5.3 55.1 4.1.6 2.3 1.4 4.6 2.5 6.7v.1c8.3 16.7 23.8 24.3 40.3 23 16.6-1.3 34.1-11 48.3-27.9 13.6-16.4 36-23.2 50.9-32.2 7.4-4.5 13.4-10.1 13.9-18.3.4-8.2-4.4-17.3-15.5-29.7zM223.7 87.3c9.8-22.2 34.2-21.8 44-.4 6.5 14.2 3.6 30.9-4.3 40.4-1.6-.8-5.9-2.6-12.6-4.9 1.1-1.2 3.1-2.7 3.9-4.6 4.8-11.8-.2-27-9.1-27.3-7.3-.5-13.9 10.8-11.8 23-4.1-2-9.4-3.5-13-4.4-1-6.9-.3-14.6 2.9-21.8zM183 75.8c10.1 0 20.8 14.2 19.1 33.5-3.5 1-7.1 2.5-10.2 4.6 1.2-8.9-3.3-20.1-9.6-19.6-8.4.7-9.8 21.2-1.8 28.1 1 .8 1.9-.2-5.9 5.5-15.6-14.6-10.5-52.1 8.4-52.1zm-13.6 60.7c6.2-4.6 13.6-10 14.1-10.5 4.7-4.4 13.5-14.2 27.9-14.2 7.1 0 15.6 2.3 25.9 8.9 6.3 4.1 11.3 4.4 22.6 9.3 8.4 3.5 13.7 9.7 10.5 18.2-2.6 7.1-11 14.4-22.7 18.1-11.1 3.6-19.8 16-38.2 14.9-3.9-.2-7-1-9.6-2.1-8-3.5-12.2-10.4-20-15-8.6-4.8-13.2-10.4-14.7-15.3-1.4-4.9 0-9 4.2-12.3zm3.3 334c-2.7 35.1-43.9 34.4-75.3 18-29.9-15.8-68.6-6.5-76.5-21.9-2.4-4.7-2.4-12.7 2.6-26.4v-.2c2.4-7.6.6-16-.6-23.9-1.2-7.8-1.8-15 .9-20 3.5-6.7 8.5-9.1 14.8-11.3 10.3-3.7 11.8-3.4 19.6-9.9 5.5-5.7 9.5-12.9 14.3-18 5.1-5.5 10-8.1 17.7-6.9 8.1 1.2 15.1 6.8 21.9 16l19.6 35.6c9.5 19.9 43.1 48.4 41 68.9zm-1.4-25.9c-4.1-6.6-9.6-13.6-14.4-19.6 7.1 0 14.2-2.2 16.7-8.9 2.3-6.2 0-14.9-7.4-24.9-13.5-18.2-38.3-32.5-38.3-32.5-13.5-8.4-21.1-18.7-24.6-29.9s-3-23.3-.3-35.2c5.2-22.9 18.6-45.2 27.2-59.2 2.3-1.7.8 3.2-8.7 20.8-8.5 16.1-24.4 53.3-2.6 82.4.6-20.7 5.5-41.8 13.8-61.5 12-27.4 37.3-74.9 39.3-112.7 1.1.8 4.6 3.2 6.2 4.1 4.6 2.7 8.1 6.7 12.6 10.3 12.4 10 28.5 9.2 42.4 1.2 6.2-3.5 11.2-7.5 15.9-9 9.9-3.1 17.8-8.6 22.3-15 7.7 30.4 25.7 74.3 37.2 95.7 6.1 11.4 18.3 35.5 23.6 64.6 3.3-.1 7 .4 10.9 1.4 13.8-35.7-11.7-74.2-23.3-84.9-4.7-4.6-4.9-6.6-2.6-6.5 12.6 11.2 29.2 33.7 35.2 59 2.8 11.6 3.3 23.7.4 35.7 16.4 6.8 35.9 17.9 30.7 34.8-2.2-.1-3.2 0-4.2 0 3.2-10.1-3.9-17.6-22.8-26.1-19.6-8.6-36-8.6-38.3 12.5-12.1 4.2-18.3 14.7-21.4 27.3-2.8 11.2-3.6 24.7-4.4 39.9-.5 7.7-3.6 18-6.8 29-32.1 22.9-76.7 32.9-114.3 7.2zm257.4-11.5c-.9 16.8-41.2 19.9-63.2 46.5-13.2 15.7-29.4 24.4-43.6 25.5s-26.5-4.8-33.7-19.3c-4.7-11.1-2.4-23.1 1.1-36.3 3.7-14.2 9.2-28.8 9.9-40.6.8-15.2 1.7-28.5 4.2-38.7 2.6-10.3 6.6-17.2 13.7-21.1.3-.2.7-.3 1-.5.8 13.2 7.3 26.6 18.8 29.5 12.6 3.3 30.7-7.5 38.4-16.3 9-.3 15.7-.9 22.6 5.1 9.9 8.5 7.1 30.3 17.1 41.6 10.6 11.6 14 19.5 13.7 24.6zM173.3 148.7c2 1.9 4.7 4.5 8 7.1 6.6 5.2 15.8 10.6 27.3 10.6 11.6 0 22.5-5.9 31.8-10.8 4.9-2.6 10.9-7 14.8-10.4s5.9-6.3 3.1-6.6-2.6 2.6-6 5.1c-4.4 3.2-9.7 7.4-13.9 9.8-7.4 4.2-19.5 10.2-29.9 10.2s-18.7-4.8-24.9-9.7c-3.1-2.5-5.7-5-7.7-6.9-1.5-1.4-1.9-4.6-4.3-4.9-1.4-.1-1.8 3.7 1.7 6.5z"/></svg>
      </a>
    
      
      
        
        
      
      <a href="https://wiki.archlinux.org/index.php/Special:Contributions/PiroXiline" target="_blank" rel="noopener" title="wiki.archlinux.org" class="md-footer-social__link">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path d="M220.8 123.3c1 .5 1.8 1.7 3 1.7 1.1 0 2.8-.4 2.9-1.5.2-1.4-1.9-2.3-3.2-2.9-1.7-.7-3.9-1-5.5-.1-.4.2-.8.7-.6 1.1.3 1.3 2.3 1.1 3.4 1.7zm-21.9 1.7c1.2 0 2-1.2 3-1.7 1.1-.6 3.1-.4 3.5-1.6.2-.4-.2-.9-.6-1.1-1.6-.9-3.8-.6-5.5.1-1.3.6-3.4 1.5-3.2 2.9.1 1 1.8 1.5 2.8 1.4zM420 403.8c-3.6-4-5.3-11.6-7.2-19.7-1.8-8.1-3.9-16.8-10.5-22.4-1.3-1.1-2.6-2.1-4-2.9-1.3-.8-2.7-1.5-4.1-2 9.2-27.3 5.6-54.5-3.7-79.1-11.4-30.1-31.3-56.4-46.5-74.4-17.1-21.5-33.7-41.9-33.4-72C311.1 85.4 315.7.1 234.8 0 132.4-.2 158 103.4 156.9 135.2c-1.7 23.4-6.4 41.8-22.5 64.7-18.9 22.5-45.5 58.8-58.1 96.7-6 17.9-8.8 36.1-6.2 53.3-6.5 5.8-11.4 14.7-16.6 20.2-4.2 4.3-10.3 5.9-17 8.3s-14 6-18.5 14.5c-2.1 3.9-2.8 8.1-2.8 12.4 0 3.9.6 7.9 1.2 11.8 1.2 8.1 2.5 15.7.8 20.8-5.2 14.4-5.9 24.4-2.2 31.7 3.8 7.3 11.4 10.5 20.1 12.3 17.3 3.6 40.8 2.7 59.3 12.5 19.8 10.4 39.9 14.1 55.9 10.4 11.6-2.6 21.1-9.6 25.9-20.2 12.5-.1 26.3-5.4 48.3-6.6 14.9-1.2 33.6 5.3 55.1 4.1.6 2.3 1.4 4.6 2.5 6.7v.1c8.3 16.7 23.8 24.3 40.3 23 16.6-1.3 34.1-11 48.3-27.9 13.6-16.4 36-23.2 50.9-32.2 7.4-4.5 13.4-10.1 13.9-18.3.4-8.2-4.4-17.3-15.5-29.7zM223.7 87.3c9.8-22.2 34.2-21.8 44-.4 6.5 14.2 3.6 30.9-4.3 40.4-1.6-.8-5.9-2.6-12.6-4.9 1.1-1.2 3.1-2.7 3.9-4.6 4.8-11.8-.2-27-9.1-27.3-7.3-.5-13.9 10.8-11.8 23-4.1-2-9.4-3.5-13-4.4-1-6.9-.3-14.6 2.9-21.8zM183 75.8c10.1 0 20.8 14.2 19.1 33.5-3.5 1-7.1 2.5-10.2 4.6 1.2-8.9-3.3-20.1-9.6-19.6-8.4.7-9.8 21.2-1.8 28.1 1 .8 1.9-.2-5.9 5.5-15.6-14.6-10.5-52.1 8.4-52.1zm-13.6 60.7c6.2-4.6 13.6-10 14.1-10.5 4.7-4.4 13.5-14.2 27.9-14.2 7.1 0 15.6 2.3 25.9 8.9 6.3 4.1 11.3 4.4 22.6 9.3 8.4 3.5 13.7 9.7 10.5 18.2-2.6 7.1-11 14.4-22.7 18.1-11.1 3.6-19.8 16-38.2 14.9-3.9-.2-7-1-9.6-2.1-8-3.5-12.2-10.4-20-15-8.6-4.8-13.2-10.4-14.7-15.3-1.4-4.9 0-9 4.2-12.3zm3.3 334c-2.7 35.1-43.9 34.4-75.3 18-29.9-15.8-68.6-6.5-76.5-21.9-2.4-4.7-2.4-12.7 2.6-26.4v-.2c2.4-7.6.6-16-.6-23.9-1.2-7.8-1.8-15 .9-20 3.5-6.7 8.5-9.1 14.8-11.3 10.3-3.7 11.8-3.4 19.6-9.9 5.5-5.7 9.5-12.9 14.3-18 5.1-5.5 10-8.1 17.7-6.9 8.1 1.2 15.1 6.8 21.9 16l19.6 35.6c9.5 19.9 43.1 48.4 41 68.9zm-1.4-25.9c-4.1-6.6-9.6-13.6-14.4-19.6 7.1 0 14.2-2.2 16.7-8.9 2.3-6.2 0-14.9-7.4-24.9-13.5-18.2-38.3-32.5-38.3-32.5-13.5-8.4-21.1-18.7-24.6-29.9s-3-23.3-.3-35.2c5.2-22.9 18.6-45.2 27.2-59.2 2.3-1.7.8 3.2-8.7 20.8-8.5 16.1-24.4 53.3-2.6 82.4.6-20.7 5.5-41.8 13.8-61.5 12-27.4 37.3-74.9 39.3-112.7 1.1.8 4.6 3.2 6.2 4.1 4.6 2.7 8.1 6.7 12.6 10.3 12.4 10 28.5 9.2 42.4 1.2 6.2-3.5 11.2-7.5 15.9-9 9.9-3.1 17.8-8.6 22.3-15 7.7 30.4 25.7 74.3 37.2 95.7 6.1 11.4 18.3 35.5 23.6 64.6 3.3-.1 7 .4 10.9 1.4 13.8-35.7-11.7-74.2-23.3-84.9-4.7-4.6-4.9-6.6-2.6-6.5 12.6 11.2 29.2 33.7 35.2 59 2.8 11.6 3.3 23.7.4 35.7 16.4 6.8 35.9 17.9 30.7 34.8-2.2-.1-3.2 0-4.2 0 3.2-10.1-3.9-17.6-22.8-26.1-19.6-8.6-36-8.6-38.3 12.5-12.1 4.2-18.3 14.7-21.4 27.3-2.8 11.2-3.6 24.7-4.4 39.9-.5 7.7-3.6 18-6.8 29-32.1 22.9-76.7 32.9-114.3 7.2zm257.4-11.5c-.9 16.8-41.2 19.9-63.2 46.5-13.2 15.7-29.4 24.4-43.6 25.5s-26.5-4.8-33.7-19.3c-4.7-11.1-2.4-23.1 1.1-36.3 3.7-14.2 9.2-28.8 9.9-40.6.8-15.2 1.7-28.5 4.2-38.7 2.6-10.3 6.6-17.2 13.7-21.1.3-.2.7-.3 1-.5.8 13.2 7.3 26.6 18.8 29.5 12.6 3.3 30.7-7.5 38.4-16.3 9-.3 15.7-.9 22.6 5.1 9.9 8.5 7.1 30.3 17.1 41.6 10.6 11.6 14 19.5 13.7 24.6zM173.3 148.7c2 1.9 4.7 4.5 8 7.1 6.6 5.2 15.8 10.6 27.3 10.6 11.6 0 22.5-5.9 31.8-10.8 4.9-2.6 10.9-7 14.8-10.4s5.9-6.3 3.1-6.6-2.6 2.6-6 5.1c-4.4 3.2-9.7 7.4-13.9 9.8-7.4 4.2-19.5 10.2-29.9 10.2s-18.7-4.8-24.9-9.7c-3.1-2.5-5.7-5-7.7-6.9-1.5-1.4-1.9-4.6-4.3-4.9-1.4-.1-1.8 3.7 1.7 6.5z"/></svg>
      </a>
    
  </div>

    </div>
  </div>
</footer>
      
    </div>
    
      <script src="../assets/javascripts/vendor.0ac82a11.min.js"></script>
      <script src="../assets/javascripts/bundle.f81dfb4d.min.js"></script><script id="__lang" type="application/json">{"clipboard.copy": "Copy to clipboard", "clipboard.copied": "Copied to clipboard", "search.config.lang": "en", "search.config.pipeline": "trimmer, stopWordFilter", "search.config.separator": "[\\s\\-]+", "search.placeholder": "Search", "search.result.placeholder": "Type to start searching", "search.result.none": "No matching documents", "search.result.one": "1 matching document", "search.result.other": "# matching documents", "search.result.more.one": "1 more on this page", "search.result.more.other": "# more on this page", "search.result.term.missing": "Missing"}</script>
      
      <script>
        app = initialize({
          base: "..",
          features: ['tabs', 'instant'],
          search: Object.assign({
            worker: "../assets/javascripts/worker/search.4ac00218.min.js"
          }, typeof search !== "undefined" && search)
        })
      </script>
      
    
  </body>
</html>